package com.ejie.ab79.control.verExpediente;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.ejie.ab79.model.expedientes.Expedientes;
import com.ejie.ab79.model.inspecciones.Inspecciones;
import com.ejie.ab79.service.expedientes.ExpedientesService;
import com.ejie.ab79.service.inspecciones.InspeccionesService;
import com.ejie.ab79.service.inspecciones.fichaDeInspeccionService;

/**
 * PlantillasController  
 * 
 *  
 */
@SessionAttributes("usuario")
@Controller
@RequestMapping(value = "/verexpediente")

public class VerExpedienteController {

	@Autowired
	private ExpedientesService expedientesService;

	@Autowired
	private InspeccionesService inspeccionesService;

	@Autowired
	private fichaDeInspeccionService fichaDeInspeccionService;

	@RequestMapping(value = "/{folderId}", method = RequestMethod.GET)
	public String verExpediente(HttpServletRequest httpRequest, Model model, @PathVariable String folderId) {

		Expedientes expediente = new Expedientes();
		expediente.setFolderId(folderId);
		expediente = this.expedientesService.findByFolderId(expediente);
		if (expediente != null) {
			Inspecciones inspeccion = this.inspeccionesService.findByExpedienteOrigenInspeccion(expediente);

			return this.fichaDeInspeccionService.fichaInspeccionView(httpRequest, inspeccion, model);
		} else {
			return "folderError";
		}

	}

}
